import { PlaylistType } from "../enums/PlaylistType.enum";
import { Song } from "./Song.entity";
import { User } from "./User.entity";


export interface Playlist {
    id?: number;
    name?: string;
    description?: string;
    photo?: string;
    songs?: Song[];
    type?: PlaylistType;
    isAutoGenerated?: boolean;
    createdBy?: User;
}